import { Http } from '@zeedhi/core';

export class CardsController {
  public DIASEST: string = '';

  public VRDESVIO: string = '';

  public VRSOLEXTRA: string = '';

  public PROCESSINGDATE: string = '';

  public PROXLIBCARD: string = '';
  
  public VRAJUSTE: string = '';
  
  public DIAAPROV: string = '';
  
  public IMPACTO: string = '';
  
  public QTDE: string = '';
  
  public QTDIASATRASO: string = '';
  
  public getDataFillCards(components) {
    const childrenComponents = components.component.parent.children;
    const componentForProps = childrenComponents.find((child) => child.name && child.name === components.component.name);
    const props = componentForProps.props;
    const routeName = props.routeName;
    const columnName = props.columnName;
    const sendObject = {
      filter: [],
    };

    Http.post(`/${routeName}`, sendObject).then((response) => {
      /* eslint no-console: ["error", { allow: ["warn", "error", "info", "log"] }] */
      const data = response.data.dataset[routeName];
      const [firstRecord] = Array.isArray(data) ? data : [];
      const VALUE = firstRecord[columnName];
      this[columnName] = VALUE || VALUE === 0 ? VALUE.toString() : '';
    });
  }
}
