import { Http } from '@zeedhi/core';

export class DashboardController {
  public getDataGrid({ component }) {
    const routeName = component.children[0].datasourceName;
    const sendObject = {
      filter: [],
    };
    
    Http.post(`/${routeName}`, sendObject).then((response) => {
      /* eslint no-console: ["error", { allow: ["warn", "error", "info", "log"] }] */
      const data = response.data.dataset[routeName];
      component.datasource.data = data;
    });
  }
}
